(* seplog (c) AIST 2005-2015. R. Affeldt, N. Marti, et al. GNU GPLv3. *)
From mathcomp Require Import ssreflect ssrfun ssrbool eqtype ssrnat seq.
Require Import Ascii.

Lemma eqaP : Equality.axiom ascii_dec.
Proof.
  move => x y.
  simpl.
  case (ascii_dec x y).
  - exact: ReflectT.
  - exact: ReflectF.
Qed.

Canonical ascii_eqMixin := EqMixin eqaP.
Canonical ascii_eqType := Eval hnf in EqType ascii ascii_eqMixin.
